Browsable Browsable Docs

Wikipedia API

Search Wikipedia through the public MediaWiki API with offset pagination.

POST /v1/wikipedia/search

Request Parameters

Name In Type Required Description
query body string Yes Wikipedia article search query.
cursor body string No Cursor returned as next_cursor from the previous response.
limit body integer No Maximum number of results to return.

Response Structure

Async kickoff response

Polled run result response

Sync response

Declared output schema

Code Examples

Async + polling

RUN=$(curl -s -X POST "https://api.browsable.app/v1/wikipedia/search" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"query":"Ada Lovelace","cursor":"cursor-page-1","limit":25}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
done

Sync

curl -X POST "https://api.browsable.app/v1/wikipedia/search" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"query":"Ada Lovelace","cursor":"cursor-page-1","limit":25,"_run":{"async":false}}'